# Connecting from an External Browser

The dApp uses the [Sui Wallet Standard](https://docs.sui.io/standards/wallet-standard) to enable discoverability with Sui wallets. The only wallet currently supported with the EVE Frontier dApps is [Eve Vault](https://github.com/evefrontier/builder-documentation/blob/main/EveVault/README.md).

Open a browser and connect to [https://dapps.evefrontier.com/?tenant=stillness](https://test.dapps.evefrontier.com/?tenant=stillness) (Stillness) or <https://uat.dapps.evefrontier.com/?tenant=utopia> (Utopia).

![Eve dApp Connect View](/files/tEPyTWjJPkSRQ2yz4TVU)

Click on Connect with EVE Vault. This will prompt your EVE Vault extension to connect. If EVE Vault is currently locked, you will see a pop-up with a prompt to enter your PIN.

![Eve Vault Unlock Popup](/files/D4J84p02uJuPriTUN0EU)

### Connected tenant and itemId

The selected assembly is determined by using query parameters from the URL. `?tenant` and `?itemId` must be defined.

ItemId is the in-game game item ID, e.g. `1000000012345`.

Your completed URL should look something like `https://dapps.evefrontier.com/?tenant=stillness&itemId=12345...`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evefrontier.com/dapps/connecting-from-an-external-browser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
